Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80106 - traceback: ValueError: invalid literal for float(): 31.5
Summary: traceback: ValueError: invalid literal for float(): 31.5
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda
Version: phoebe
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks: 79578
TreeView+ depends on / blocked
 
Reported: 2002-12-20 01:06 UTC by Mike McLean
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-14 00:58:24 UTC


Attachments (Terms of Use)

Description Mike McLean 2002-12-20 01:06:30 UTC
* -re1219....
* RH-full_server-install-mirror-french-nfs-TUI

Traceback (most recent call last):
  File "/usr/bin/anaconda", line 770, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/text.py", line 446, in run
    dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 155, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 222, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 118, in writeXConfiguration
    id.xsetup.write(fn+"/etc/X11", id.mouse, id.keyboard)
  File "/usr/lib/anaconda/xsetup.py", line 42, in write
    standalone = 0)
  File "/usr/lib/python2.2/site-packages/rhpl/xserver.py", line 291, in writeXConfig
    xcfgdata = hwstate.generate_xconfig(mouse, keyboard)
  File "/usr/lib/python2.2/site-packages/rhpl/xhwstate.py", line 594, in
generate_xconfig
    self.merge_into(xconfig)
  File "/usr/lib/python2.2/site-packages/rhpl/xhwstate.py", line 319, in merge_into
    available = self.available_resolutions()
  File "/usr/lib/python2.2/site-packages/rhpl/xhwstate.py", line 530, in
available_resolutions
    if rhpl.monitor.monitor_supports_mode(self.hsync, self.vsync, res):
  File "/usr/lib/python2.2/site-packages/rhpl/monitor.py", line 382, in
monitor_supports_mode
    hsync_list = list_from_string (monitor_hsync)
  File "/usr/lib/python2.2/site-packages/rhpl/monitor.py", line 376, in
list_from_string
    l.append( (string.atof(tmp[0]), string.atof(tmp[1])) )
  File "/usr/lib/python2.2/string.py", line 205, in atof
    return _float(s)
ValueError: invalid literal for float(): 31.5

Local variables in innermost frame:
s: 31.5

Comment 3 Mike McLean 2002-12-20 01:18:37 UTC
did not repeat when I restarted the testcase on the same machine.


Comment 4 Michael Fulbright 2002-12-27 15:58:37 UTC
Oh dear.

Will leave this around in case it happens again.

Comment 5 Mike McLean 2003-01-02 21:01:18 UTC
Happened again.  Different machine (First time was a Proliant DL380 G2, this
time was an older Proliant DL380).  

This was with Phoebe public beta 1.  Exact same testcase, though:
RH-full_server-install-mirror-french-nfs-TUI.

Comment 7 Michael Fulbright 2003-01-02 21:57:12 UTC
Ok will investigate further.

Comment 8 Mike McLean 2003-01-07 18:37:54 UTC
also observed with
* full workstation german nfs tui
* full server german nfs tui

note that all observed cases are nfs tui installs.  I also have yet to see this
on an english or japanese language install.

Comment 9 Michael Fulbright 2003-01-10 21:04:14 UTC
This was triggered by slang calling setlocale.

We've worked around it in python land.


Comment 10 Mike McLean 2003-01-14 00:58:24 UTC
fix verified in -re0113.0


Note You need to log in before you can comment on or make changes to this bug.